/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.bebop;


/**
 * Implementation of the Container interface. Used for testing. It
 * extends ComponentImpl so the Component interface stubs do not need
 * to be reimplemented.
 *
 * @version $Revision: #7 $ $Date: 2004/04/07 $ */

public class ContainerImpl extends ComponentImpl implements Container {

    public static final String versionId = "$Id: //core-platform/dev/test/src/com/arsdigita/bebop/ContainerImpl.java#7 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    public ContainerImpl() {}

    public void add(Component pc) {}

    public void add(Component c, int constraints) {}

    public boolean contains(Object o) { return true; }

    public Component get(int index) { return null; }

    public int indexOf(Component pc) { return 0; }

    public boolean isEmpty() { return true; }

    public int size() { return 0; }

}
